import request from '@/helpers/request';

/** 获取音乐教材列表 */
export const api_lessonCoursewarePage = (params: any): Promise<any> => {
  return request.post('/edu-app/lessonCourseware/page', {
    data: params
  });
};
/** 获取音乐教材收藏列表 */
export const api_lessonCoursewareFavoriteage = (params: any): Promise<any> => {
  return request.post('/edu-app/lessonCoursewareFavorite/page', {
    data: params
  });
};
/** 获取音乐教材课程列表 */
export const api_classLessonCoursewarePage = (params: any): Promise<any> => {
  return request.post('/edu-app/classLessonCourseware/page ', {
    data: params
  });
};
/** 教材收藏 */
export const api_lessonCoursewareFavoriteSave = (params: any): Promise<any> => {
  return request.post('/edu-app/lessonCoursewareFavorite/save', {
    data: params
  });
};
/** 教材收藏取消 */
export const api_lessonCoursewareFavoriteRemove = (
  params: any
): Promise<any> => {
  return request.post('/edu-app/lessonCoursewareFavorite/remove', {
    data: params
  });
};
/** 教材详情 */
export const api_lessonCoursewareDetail = (
  params: string | number
): Promise<any> => {
  return request.get(`/edu-app/lessonCourseware/detail/${params}`);
};

/** 课程教材详情 */
export const api_classLessonCoursewareDetail = (
  params: string | number
): Promise<any> => {
  return request.get(`/edu-app/classLessonCourseware/detail/${params}`);
};
